org.firebirdsql.gds.ng.wire.version11

## Class V11WireOperations

- java.lang.Object
- - org.firebirdsql.gds.ng.wire.AbstractWireOperations
  - - org.firebirdsql.gds.ng.wire.version10.V10WireOperations
    - - org.firebirdsql.gds.ng.wire.version11.V11WireOperations

All Implemented Interfaces:
  FbWireOperations

Direct Known Subclasses:
  V13WireOperations

    public class V11WireOperations
    extends V10WireOperations

Since:
  3.0
Author:
  Mark Rotteveel

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.firebirdsql.gds.ng.wire.FbWireOperations

`FbWireOperations.ProcessAttachCallback`

### Constructor Summary

Constructors
Constructor and Description
`V11WireOperations(WireConnection<?,?> connection, WarningMessageCallback defaultWarningMessageCallback, java.lang.Object syncObject)`

### Method Summary

Methods
`void` `enqueueDeferredAction(DeferredAction deferredAction)` Enqueue a deferred action.
`void` `processDeferredActions()` Processes any deferred actions.

### Methods inherited from class org.firebirdsql.gds.ng.wire.version10.V10WireOperations

`authReceiveResponse`

### Methods inherited from class org.firebirdsql.gds.ng.wire.AbstractWireOperations

`addServerKeys, clearServerKeys, consumePackets, getAttachProperties, getClientAuthBlock, getConnection, getDefaultWarningMessageCallback, getEncoding, getEncryptionIdentifiers, getSynchronizationObject, getXdrIn, getXdrOut, getXdrStreamAccess, handleCryptKeyCallback, processOperation, processResponse, processResponseWarnings, readGenericResponse, readNextOperation, readOperationResponse, readResponse, readSingleResponse, readSqlResponse, readStatusVector, setNetworkTimeout, writeDirect`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### V11WireOperations

    public V11WireOperations(WireConnection<?,?> connection,
                     WarningMessageCallback defaultWarningMessageCallback,
                     java.lang.Object syncObject)

### Method Detail

#### enqueueDeferredAction

    public final void enqueueDeferredAction(DeferredAction deferredAction)

Description copied from interface: `FbWireOperations`
Enqueue a deferred action.

FbDatabase implementations that do not support deferred actions are allowed to throw an `UnsupportedOperationException`

Specified by:
  `enqueueDeferredAction` in interface `FbWireOperations`
Overrides:
  `enqueueDeferredAction` in class `V10WireOperations`
Parameters:
  `deferredAction` - Deferred action

#### processDeferredActions

    public final void processDeferredActions()

Description copied from interface: `FbWireOperations`
Processes any deferred actions. Protocol versions that do not support deferred actions should simply do nothing.

Specified by:
  `processDeferredActions` in interface `FbWireOperations`
Overrides:
  `processDeferredActions` in class `V10WireOperations`